Skip to main content
GET
/
profiles
/
v1
/
emr-user
/
{oid}
Retrieve EMR user profile
curl --request GET \
  --url https://api.eka.care/profiles/v1/emr-user/{oid} \
  --header 'Authorization: Bearer <token>' \
  --header 'client-id: <client-id>'
{
  "oid": "175074536120088",
  "bid": "77088166996724",
  "ps": "S",
  "c_ate": 1750745358,
  "u_ate": 1750745358,
  "gen": "M",
  "dob": "2000-01-02",
  "is_age": true,
  "fn": "Eka",
  "ln": "User",
  "fln": "Eka User",
  "bg": "B+",
  "mobile": "+911201201201",
  "email": "eka.user@example.com",
  "s": "Mr."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

client-id
string
required
Example:

"EC_1431"

Path Parameters

oid
string
required
Example:

18661861868168

Response

EMR user profile details

oid
string
Example:

"175074536120088"

bid
string
Example:

"77088166996724"

ps
string
Example:

"S"

c_ate
integer
Example:

1750745358

u_ate
integer
Example:

1750745358

gen
string
Example:

"M"

dob
string<date>
Example:

"2000-01-02"

is_age
boolean
Example:

true

fn
string
Example:

"Eka"

ln
string
Example:

"User"

fln
string
Example:

"Eka User"

bg
string
Example:

"B+"

mobile
string
Example:

"+911201201201"

email
string<email>
Example:

"eka.user@example.com"

s
string
Example:

"Mr."